//---------------------------------------------------------------------------

#ifndef gui_imageboxH
#define gui_imageboxH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class Tgui_imagebox_Form : public TForm
{
__published:	// IDE-managed Components
private:	// User declarations
public:		// User declarations

        __fastcall Tgui_imagebox_Form(TComponent* Owner);

        //[2012.04.29.일][완료!!!]
        __fastcall ~Tgui_imagebox_Form(void);

        //[서브클래싱]
        //{
            void __fastcall WndProc(Messages::TMessage &Message);
        //}

        //[VAR]
        //{
            //[환경변수]
            //{
                //[2007.10.02.화][추가!!!]
                struct  IDE_OPTION   *_ide_option;

            //}

            //[실제 그리는 영역]{------
            Graphics::TBitmap  *_bmp_;
            //}------------------------

            //표시할 이미지를 담고 있는 bitmap.
            Graphics::TBitmap  *_bitmap_;

            int                 _image_x;
            int                 _image_y;
            //그림이 보여지는 영역의 크기를 갖는다.(그림 자체의 크기가 아니다.)
            int                 _image_width;
            int                 _image_height;

            //테두리 사용 유/무.(기본값 : false)
            bool                _border;

            //[index 적용여부]
            //{
                //--------------------------------------------------
                bool                _index_bitmap;
                int                 _index_width;
                int                 _index;
                //높이는 _bitmap_ 의 높이와 같은 것으로 본다.
                //index 로 접근하는데는 _index_width 값만 필요하다.
                //--------------------------------------------------
            //}
        //}

        //[FUNCTION]
        //{
            //[2006.11.09.목][완료!!!]
            void __fastcall _Shape(void);

            //[속성]
            //{
                //[2006.11.09.목][완료!!!]
                void __fastcall _Border(bool  pBORDER);
                void __fastcall _Bitmap(AnsiString  pBITMAPname);

                void __fastcall _Left(int  pLEFT);
                void __fastcall _Top(int  pTOP);
                void __fastcall _Width(int  pWIDTH);
                void __fastcall _Height(int  pHEIGHT);

                //[2006.11.10.금][완료!!!]
                void __fastcall _IndexBitmap(bool  pINDEXBITMAP);
                void __fastcall _IndexWidth(int  pINDEXWIDTH);
                void __fastcall _Index(int  pINDEX);

                //[2006.11.11.토][완료!!!]
                void __fastcall _Image_X(int  pIMAGEx);
                void __fastcall _Image_Y(int  pIMAGEy);
                void __fastcall _Image_Width(int  pIMAGEwidth);
                void __fastcall _Image_Height(int  pIMAGEheight);
            //}

            //[2006.11.09.목][완료!!!]
            void __fastcall _Draw(void);

        //}


};
//---------------------------------------------------------------------------
extern PACKAGE Tgui_imagebox_Form *gui_imagebox_Form;
//---------------------------------------------------------------------------
#endif
